package at.jku.students.stack;

import at.jku.ssw.Iterator;
import at.jku.ssw.stack.Stack;

public class StackMain {
	public static void main(String[] args) {

		Stack s = new ArrayStack();
		s.push("R");
		s.push("A");
		s.push("S");
		s.pushDown();
		s.push("T");
		s.reverse();
		s.pushDown();
		s.push(" ");
		s.push("W");
		s.push("S");
		s.pushDown();
		s.reverse();
		s.push("R");
		s.push("A");
		s.pushDown();
		s.pushDown();
		System.out.print(s.pop());
		s.pushDown();
		printStack(s);
		s.reverse();
		s.pushDown();
		printStack(s);
	}

	public static void printStack(Stack s) {
		Iterator iterator = s.iterator();
		while (iterator.hasNext()) {
			System.out.print(iterator.next());
		}
		System.out.println();
	}
}
